Arduino

Reference Language | Libraries | Comparison | Changes

## Wire.begin()

## Wire.begin(address)

#### Description

Initiate the Wire library and join the I2C bus as a master or slave. This should normally be called only once.

#### Parameters

address: the 7-bit slave address (optional); if not specified, join the bus as a master.

#### Returns

None

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes